## ruby2.3 2.3.0

=== debian/changelog ===
ruby2.3 (2.3.0-5ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Don't run tests on s390x, hanging on the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 22 Mar 2016 16:21:08 +0100

ruby2.3 (2.3.0-5) unstable; urgency=medium

  * Set gzip embedded mtime field to fixed value for rdoc-generated
    compressed javascript data. Helps with reproducibility of rdoc-using
    packages.
  * Build tcltk extension for Tcl/Tk 8.6.
  * Apply patch from upstream to fix crash in Proc binding.
    (ruby-core: 74100, trunk r54128, bug #12137). (Closes: #816161)

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 16 Mar 2016 23:36:12 +0000

ruby2.3 (2.3.0-4ubuntu3) xenial; urgency=medium

  * Build using Tcl/Tk 8.6.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Mar 2016 11:25:22 +0100

ruby2.3 (2.3.0-4ubuntu2) xenial; urgency=medium

  * Don't run tests on s390x, hanging on the buildds.
  * Ignore test results on i386.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Mar 2016 09:02:50 +0100

ruby2.3 (2.3.0-4) unstable; urgency=medium

  * Apply patch from upstream to fix deserializing OpenStruct via Psych,
    (ruby-core: 72501, trunk r53366). (Closes: #816358)

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 01 Mar 2016 22:41:19 +0100

ruby2.3 (2.3.0-3) unstable; urgency=medium

  * Explicitly set bundled gem dates. Otherwise these multi-arch same files
    differ on different architectures depending on build date.
    (Closes: #810321)
  * Apply patch from upstream (ruby-core:72736, trunk r53455) to fix extension
    builds that use g++.
  * Bump Standards-Version to 3.9.7 with no addtl. changes
  * d/copyright: Remove rake, no longer bundled.
  * Switch Vcs-* URLs to https.

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 29 Feb 2016 21:45:51 +0100

ruby2.3 (2.3.0-2) unstable; urgency=medium

  * debian/libruby2.3.symbols: update with new symbols introduced right before
    the final 2.3.0 release.
  * libruby2.3: add dependencies on rake, ruby-did-you-mean and
    ruby-net-telnet

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 30 Jan 2016 09:20:31 -0200

ruby2.3 (2.3.0-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Ruby 2.3
  * debian/tests/bundled-gems: check if all libraries that are supposed to be
    bundled are present, with a version greater than or equal to the one
    specified in gems/bundled_gems
  * debian/tests/run-all: filter failures against list of known failures. Pass
    if only the tests listed in debian/tests/known-failures.txt fail, fail
    otherwise. This will help catch regressions.
  * debian/copyright: update wrt new files in the distribution

  [ Christian Hofstaedtler ]
  * autopkgtest: depend on all packages so we actually have header files
    installed.

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 28 Dec 2015 09:17:47 -0300

ruby2.2 (2.2.3-2) unstable; urgency=medium

  * Add dependency on ruby-minitest to provide the same experience out of the
    box as the upstream package (Closes: #803665)
  * Apply upstream patch to not use SSLv3 methods if OpenSSL does not export
    them (Closes: #804089)
  * updated debian/libruby2.2.symbols with 1 new symbol.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 05 Nov 2015 18:43:02 -0200

ruby2.2 (2.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 18 Aug 2015 22:22:21 +0000

ruby2.2 (2.2.2-3) unstable; urgency=medium

  [ Christian Hofstaedtler ]
  * Have libruby2.2 depend on ruby-test-unit, as upstream bundles this
    externally maintained package in their tarballs. (Closes: #791925)

  [ Antonio Terceiro ]
  * Apply upstream patches to fix Request hijacking vulnerability in Rubygems
    [CVE-2015-3900] (Closes: #790111)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 29 Jul 2015 09:50:08 -0300

ruby2.2 (2.2.2-2) unstable; urgency=medium

  * Make Date in gemspec reproducible. Initial patch from Chris Lamb
    <lamby@debian.org>. (Closes: #779631, #784225)
  * Replace embedded copies of Lato with symlinks to fonts-lato.
    (Closes: #762348)
  * debian/copyright: improve DEP-5 compliance.
  * Provide debug symbols, in a new libruby2.2-dbg package. Patch from
    Matt Palmer <mpalmer@debian.org>. (Closes: #785685)
  * Build libruby.so with dpkg-buildflags supplied LDFLAGS.
    (Closes: #762350)

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 01 Jul 2015 15:36:24 +0200

ruby2.2 (2.2.2-1) unstable; urgency=medium

  * New upstream release
    - includes fix for vulnerability with overly permissive matching of
      hostnames in OpenSSL extension [CVE-2015-1855]
  * debian/rules: add import-orig-source to automate importing orig tarballs
    generated from the upstream git mirror.
  * debian/tests: add a functional test that will run all tests under test/

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 03 May 2015 18:56:32 -0300

ruby2.2 (2.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: review
    - enc/* relicensed to the same license as Ruby
    - add license for ccan/* (CC0)
    - add license for enc/trans/JIS/*
      - some under the "Unicode" license
      - most under permissive "You can use, modify, distribute this table
        freely." terms
    - ext/nkf/ relicensed to zlib/libpng license
  * debian/upstream-changes: simpler and more accurate implementation
  * debian/libruby2.2.symbols: updated

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 03 Apr 2015 21:30:14 -0300

ruby2.2 (2.2.0~1-1) UNRELEASED; urgency=medium

  * Ruby 2.2 RC1
  * Dropped all Debian-specific changes to the upstream sources; everything we
    need is fixed upstream

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 19 Dec 2014 14:46:35 -0200

ruby2.1 (2.1.5-1) unstable; urgency=medium

  * New upstream release
    - Fixes CVE-2014-8090 Another Denial of Service XML Expansion
      (Closes: #770932)
    - Fixes build on SPARC (Closes: #769731)


