=== debian/control ===
Source: ruby2.3
Section: ruby
Priority: extra
Maintainer: Antonio Terceiro <terceiro@debian.org>
Uploaders: Christian Hofstaedtler <zeha@debian.org>
Build-Depends: autotools-dev,
               bison,
               chrpath,
               coreutils (>= 7.5),
               debhelper (>= 8.0.0),
               dh-autoreconf,
               file,
               libffi-dev,
               libgdbm-dev,
               libgmp-dev,
               libncurses5-dev,
               libncursesw5-dev,
               libreadline6-dev,
               libssl-dev,
               libyaml-dev,
               openssl,
               procps,
               ruby | ruby-interpreter | ruby1.8,
               rubygems-integration (>= 1.6),
               systemtap-sdt-dev [linux-any],
               tcl8.6-dev,
               tk8.6-dev,
               zlib1g-dev
Standards-Version: 3.9.7
Homepage: http://www.ruby-lang.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ruby.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ruby.git
Testsuite: autopkgtest

Package: ruby2.3
Multi-Arch: allowed
Architecture: any
Depends: rubygems-integration (>= 1.8),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fonts-lato,
            libjs-jquery
Provides: ruby-interpreter
Description: Interpreter of object-oriented scripting language Ruby
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 In the name of this package, `2.3' indicates the Ruby library compatibility
 version. This package currently provides the `2.3.x' branch of Ruby.

Package: libruby2.3
Section: libs
Multi-Arch: same
Architecture: any
Depends: rake (>= 10.4.2),
         ruby-did-you-mean (>= 1.0),
         ruby-minitest (>= 5.4),
         ruby-net-telnet (>= 0.1.1),
         ruby-test-unit (>= 3.0.8~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Libraries necessary to run Ruby 2.3
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package includes the 'libruby-2.3' library, necessary to run Ruby 2.3.
 (API version 2.3.0)

Package: libruby2.3-dbg
Section: debug
Multi-Arch: same
Architecture: any
Depends: libruby2.3 (= ${binary:Version}),
         ${misc:Depends}
Description: Debugging symbols for libruby2.3
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package includes the debugging symbols for the 'libruby-2.3' library.

Package: ruby2.3-dev
Multi-Arch: same
Architecture: any
Depends: libgmp-dev,
         libruby2.3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Header files for compiling extension modules for the Ruby 2.3
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package contains the header files and the mkmf library, necessary
 to make extension library for Ruby 2.3. It is also required to build
 many gems.

Package: ruby2.3-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for Ruby 2.3
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package contains the autogenerated documentation for Ruby 2.3.

Package: ruby2.3-tcltk
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Ruby/Tk for Ruby 2.3
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package provides Ruby/Tk, Ruby bindings for the Tk graphical user
 interface toolkit.
