=== debian/watch ===
version=3
opts="uversionmangle=s/-p/\./;s/-rc/~rc/;s/\_preview/~preview/;s/_/./g,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ruby-$1\.tar\.gz/" \
  https://github.com/ruby/ruby/releases .*/v?(\d\S*)\.tar\.gz
