=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ruby2.3
 Section: ruby
-Priority: extra
-Maintainer: Antonio Terceiro <terceiro@debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Antonio Terceiro <terceiro@debian.org>
 Uploaders: Christian Hofstaedtler <zeha@debian.org>
 Build-Depends: autotools-dev,
                bison,
@@ -18,6 +19,7 @@
                libreadline6-dev,
                libssl-dev,
                libyaml-dev,
+               netbase,
                openssl,
                procps,
                ruby | ruby-interpreter | ruby1.8,
@@ -26,7 +28,7 @@
                tcl8.6-dev,
                tk8.6-dev,
                zlib1g-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.ruby-lang.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ruby.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ruby.git
@@ -40,7 +42,6 @@
          ${shlibs:Depends}
 Recommends: fonts-lato,
             libjs-jquery
-Provides: ruby-interpreter
 Description: Interpreter of object-oriented scripting language Ruby
  Ruby is the interpreted scripting language for quick and easy
  object-oriented programming.  It has many features to process text
