=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 configure_options += --with-dbm-type=gdbm_compat
 
 # hardening and other standard Debian build flags
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 configure_options += $(shell dpkg-buildflags --export=configure)
 
 vtcltk=8.6
@@ -64,8 +65,11 @@
 override_dh_auto_build-arch:
 	dh_auto_build -- main V=1
 
+override_dh_auto_test-arch:
+	$(MAKE) check V=1
+
 override_dh_auto_install-arch:
-	$(MAKE) install-nodoc DESTDIR=$(CURDIR)/debian/tmp
+	$(MAKE) install-nodoc V=1 DESTDIR=$(CURDIR)/debian/tmp
 	# remove RPATH from tcltklib bindings
 	chrpath --delete $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/ruby/$(RUBY_API_VERSION)/tcltklib.so
 	# handle embedded copy of jquery
@@ -87,18 +91,11 @@
 	# sanity check
 	debian/sanity_check
 
-override_dh_auto_test:
-ifneq (,$(filter $(DEB_HOST_ARCH),s390x))
-	@echo "Tests not run on $(DEB_HOST_ARCH)"
-else
-	dh_auto_test
-endif
-
 override_dh_auto_build-indep:
 	$(MAKE) docs V=1
 
 override_dh_auto_install-indep:
-	$(MAKE) install-doc DESTDIR=$(CURDIR)/debian/ruby$(RUBY_VERSION)-doc
+	$(MAKE) install-doc V=1 DESTDIR=$(CURDIR)/debian/ruby$(RUBY_VERSION)-doc
 
 override_dh_install-arch:
 	# install SystemTap tapfile
