## ruby2.3 2.3.3

=== debian/changelog ===
ruby2.3 (2.3.3-1ubuntu0.3) zesty-security; urgency=medium

  * SECURITY UPDATE: command injection through Net::FTP
    - debian/patches/CVE-2017-17405.patch: fix command injection
      in lib/net/ftp.rb, test/net/ftp/test_ftp.rb.
    - CVE-2017-17405
  * Exclude some tests that fails in launchpad:
    - debian/patches/0090-Exclude-tests-that-fail-on-Ubuntu-builds.patch

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 18 Dec 2017 16:30:21 -0300

ruby2.3 (2.3.3-1ubuntu0.1) zesty-security; urgency=medium

  * SECURITY UPDATE: SMTP command injection
    - debian/patches/CVE-2015-9096.patch: don't allow bare CR or LF in
      lib/net/smtp.rb, added test to test/net/smtp/test_smtp.rb.
    - CVE-2015-9096
  * SECURITY UPDATE: use of same initialization vector (IV)
    - debian/patches/CVE-2016-7798.patch: don't set dummy key in
      ext/openssl/ossl_cipher.c, added test to test/openssl/test_cipher.rb.
    - CVE-2016-7798

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 16 Jun 2017 11:23:32 -0400

ruby2.3 (2.3.3-1) unstable; urgency=medium

  * New upstream version.

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 22 Nov 2016 12:32:41 +0000

ruby2.3 (2.3.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 16 Nov 2016 01:31:08 +0000

ruby2.3 (2.3.1-6) unstable; urgency=medium

  * debian/rules: honor 'nocheck' flag in DEB_BUILD_OPTIONS (Closes: #842768).
    Thanks to John Paul Adrian Glaubitz for the patch.
  * Build-Depends on libssl1.0-dev. Ruby 2.3 is not likely to get OpenSSL 1.1
    compatibility (see #828535)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 09 Nov 2016 14:38:59 -0200

ruby2.3 (2.3.1-5) unstable; urgency=medium

  * Increase timeout for test_array.rb test_permutation_stack_error,
    as Array#permutation is very slow on armel, mips, mipsel.
    Forwarded to upstream as issue #12502.
  * Disable test_process.rb test_aspawn_too_long_path, as it uses ~2GB
    of RAM and a lot of CPU time before finally failing on mips, mipsel.
    Forwarded to upstream as issue #12500.
  * Increase timeout for test_gc.rb test_gc_parameter, for mips, mipsel.

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 17 Jun 2016 23:30:49 +0000

ruby2.3 (2.3.1-4) unstable; urgency=medium

  * Backport some test changes from Ruby trunk, to fix (some) build
    failures on archs other than amd64, i386, ppc64el, s390x.

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 15 Jun 2016 07:32:02 +0000

ruby2.3 (2.3.1-3) unstable; urgency=medium

  * Replace libruby2.3-dbg with automatic dbgsym packages.
  * Avoid unreproducible rbconfig.rb (always use bash to build).
  * rdoc: sort input filenames in a consistent way (for reproducible).
  * Run full testsuite during build (make check instead of make test).

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 14 Jun 2016 20:47:45 +0000
