=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libncurses5-dev,
                libncursesw5-dev,
                libreadline6-dev,
-               libssl-dev,
+               libssl1.0-dev,
                libyaml-dev,
                netbase,
                openssl,
@@ -71,20 +71,6 @@
  This package includes the 'libruby-2.3' library, necessary to run Ruby 2.3.
  (API version 2.3.0)
 
-Package: libruby2.3-dbg
-Section: debug
-Multi-Arch: same
-Architecture: any
-Depends: libruby2.3 (= ${binary:Version}),
-         ${misc:Depends}
-Description: Debugging symbols for libruby2.3
- Ruby is the interpreted scripting language for quick and easy
- object-oriented programming.  It has many features to process text
- files and to do system management tasks (as in perl).  It is simple,
- straight-forward, and extensible.
- .
- This package includes the debugging symbols for the 'libruby-2.3' library.
-
 Package: ruby2.3-dev
 Multi-Arch: same
 Architecture: any
