=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ruby2.3
 Section: ruby
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Antonio Terceiro <terceiro@debian.org>
+Maintainer: Antonio Terceiro <terceiro@debian.org>
 Uploaders: Christian Hofstaedtler <zeha@debian.org>
 Build-Depends: autotools-dev,
                bison,
