=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,11 @@
 export TESTOPTS
 
 DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+ifneq (,$(filter $(DEB_HOST_ARCH), i386))
+    export DEB_CFLAGS_MAINT_APPEND=-ffloat-store
+endif
 
 export SOURCE             := $(shell dpkg-parsechangelog -SSource)
 export RUBY_VERSION       := $(patsubst ruby%,%,$(SOURCE))
@@ -36,6 +41,9 @@
 # hardening and other standard Debian build flags
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 configure_options += $(shell dpkg-buildflags --export=configure)
+
+# Always build with /bin/bash, to get consistent rbconfig.rb (which embeds SHELL).
+export SHELL := /bin/bash
 
 vtcltk=8.6
 configure_options += --with-tcltkversion=$(vtcltk)
@@ -66,7 +74,9 @@
 	dh_auto_build -- main V=1
 
 override_dh_auto_test-arch:
-	$(MAKE) check V=1
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	#$(MAKE) check V=1 RUBY_TESTOPTS=-v
+endif
 
 override_dh_auto_install-arch:
 	$(MAKE) install-nodoc V=1 DESTDIR=$(CURDIR)/debian/tmp
@@ -114,6 +124,4 @@
 
 .PHONY: override_dh_strip
 override_dh_strip:
-	dh_strip --dbg-package=libruby$(RUBY_VERSION)-dbg
-	# Don't ship debug files for the rubyX.Y binary to avoid Multi-Arch: same issues.
-	rm $(CURDIR)/debian/libruby$(RUBY_VERSION)-dbg/usr/lib/debug/usr/bin/ruby$(RUBY_VERSION)
+	dh_strip --dbgsym-migration=libruby$(RUBY_VERSION)-dbg' (<< 2.3.1-3~)'
